Skip to main content
cURL

Query Parameters

currency
enum<string>
required

The currency symbol or "any" for all.

๐Ÿ“– Related Article: Using the currency Parameter

Currency name or "any" if don't care

Available options:
BTC,
ETH,
USDC,
USDT,
EURR,
any
kind
enum<string>

Instrument kind. Omit the parameter or pass "any" for every kind.

Combos are selected with "future_combo" or "option_combo". "combo" (all combos) is not accepted here.

Instrument kind: "future", "option", "spot", "future_combo", "option_combo" or "any" for all

Available options:
future,
option,
spot,
future_combo,
option_combo,
any
expired
boolean
default:false

When false (default), return visible instruments plus inactive non-combo instruments. When true, return only instruments still in the live table with state delivered (recently expired, not archivized). Does not include the extra spot union used for a named currency when expired=false.

extended
boolean
default:false

When true, each instrument also includes maker_max_commission, taker_max_commission, liquidation_max_commission, and settlement_max_commission. Futures additionally include margin_params and trading_bandwidth_fraction; perpetuals also include perpetual_dempener and perpetual_max_funding. Default false. public/get_instrument does not accept this parameter.

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request